import { type CircularProgressProps, type SystemStyleInterpolation } from '@chakra-ui/react';
type LoadingProps = Partial<CircularProgressProps> & {
    /** Sx styles passed to the AbsoluteCenter container */
    containerSx?: SystemStyleInterpolation;
    /**
     * Display the Loader small, inline
     *
     * Styles can be further customised with props for CircularProgress
     * (sx, colorScheme, etc)
     */
    inline?: boolean;
};
/**
 * Displays a spinner centered in the available space.
 *
 * Style the `AbsoluteCenter` container by passing `containerSx`;
 * any other props will be passed directly to `CircularProgress`.
 *
 * https://chakra-ui.com/docs/components/progress/usage#progress-sizes
 */
export declare const Loading: ({ containerSx, size, inline, ...circularProgressProps }: LoadingProps) => import("react/jsx-runtime").JSX.Element;
export {};
