import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box, Text } from '@chakra-ui/react';
import { getThemingArgTypes, } from '@burnsred/utils-storybook';
import { Loading } from './Loading';
import { brTheme } from '../../theme';
const meta = {
    title: 'Components/Atoms/Loading',
    component: Loading,
    args: {
        size: undefined,
        inline: false,
    },
    argTypes: {
        ...getThemingArgTypes(brTheme, 'CircularProgress'),
        size: { control: 'number' },
    },
    decorators: [
        (Story) => (_jsx(Box, { height: "20", children: _jsx(Story, {}) })),
    ],
};
export default meta;
export const Primary = {
    args: {},
};
export const Small = {
    args: {
        size: '4',
    },
};
export const Medium = {
    args: {
        size: '8',
    },
};
export const Large = {
    args: {
        size: '16',
    },
};
export const Inline = {
    args: {
        inline: true,
    },
    render: (args) => (_jsxs(Text, { outline: "1px solid gray", children: ["Some text with a loader after:", _jsx(Loading, { ...args })] })),
};
//# sourceMappingURL=Loading.stories.js.map